Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.util.ui
Class PopupTriggerHandler

    java.lang.Object
      |
      +--java.awt.event.MouseAdapter
            |
            +--com.togethersoft.openapi.util.ui.PopupTriggerHandler

public abstract class PopupTriggerHandler
extends MouseAdapter
implements MouseListener

Presents mouse listener which invoke popup menu for the certain mouse events.

Author:
  TogetherSoft

Method Summary
`abstract void` | `invokePopup(MouseEvent e)` Open popup menu.
`void` | `mouseClicked(MouseEvent e)` Invoke open popup menu if this mouse event is the popup-menu trigger event for the platform.
`void` | `mousePressed(MouseEvent e)` Invoke open popup menu if this mouse event is the popup-menu trigger event for the platform.
`void` | `mouseReleased(MouseEvent e)` Invoke open popup menu if this mouse event is the popup-menu trigger event for the platform.

Methods inherited from class java.awt.event.MouseAdapter
`mouseEntered, mouseExited`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Method Detail

### invokePopup

    public abstract void invokePopup(MouseEvent e)

  Open popup menu.

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Invoke open popup menu if this mouse event is the popup-menu trigger event for the platform.

### mousePressed

    public void mousePressed(MouseEvent e)

  Invoke open popup menu if this mouse event is the popup-menu trigger event for the platform.

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Invoke open popup menu if this mouse event is the popup-menu trigger event for the platform.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD